%global packname  S4Vectors
%global rlibdir %{_libdir}/R/library

Name:             R-%{packname}
Version:          0.16.0
Release:          1%{dist}
Summary:          S4 implementation of vectors and lists
Group:            Applications/Engineering 
License:          Artistic 2.0
URL:              http://www.bioconductor.org/packages/release/bioc/html/S4Vectors.html
Source0:          http://www.bioconductor.org/packages/release/bioc/src/contrib/%{packname}_%{version}.tar.gz
Requires:         R-core >= 3.4.0 R-methods R-utils R-stats R-stats4
Requires:         R-BiocGenerics >= 0.23.3
BuildRequires:    R-devel >= 3.4.0 tex(latex) R-methods R-utils R-stats R-stats4
BuildRequires:    R-BiocGenerics >= 0.23.3

%description 
The S4Vectors package defines the Vector and List virtual classes and a set of 
generic functions that extend the semantic of ordinary vectors and lists in R. 
Package developers can easily implement vector-like or list-like objects as 
concrete subclasses of Vector or List. In addition, a few low-level concrete 
subclasses of general interest (e.g. DataFrame, Rle, and Hits) are implemented 
in the S4Vectors package itself (many more are implemented in the IRanges 
package and in other Bioconductor infrastructure packages).

%package devel
Summary:          Development files for R-S4Vectors
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for R-S4Vectors.

%prep 
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
# Testing tests optional deps we don't package
# _R_CHECK_FORCE_SUGGESTS_=false %%{_bindir}/R CMD check %%{packname}

%files
%dir %{rlibdir}/%{packname}/
%doc %{rlibdir}/%{packname}/html/
%doc %{rlibdir}/%{packname}/doc/
%{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/Meta/
%{rlibdir}/%{packname}/R/
%{rlibdir}/%{packname}/help/
%{rlibdir}/%{packname}/unitTests/
%{rlibdir}/%{packname}/libs/

%files devel
%{rlibdir}/%{packname}/include/

%changelog
* Wed Mar 14 2018 Tom Callaway <spot@fedoraproject.org> - 0.16.0-1
- update to 0.16.0

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun  7 2017 Tom Callaway <spot@fedoraproject.org> - 0.14.3-1
- update to 0.14.3

* Wed May 24 2017 Tom Callaway <spot@fedoraproject.org> - 0.14.1-1
- update to 0.14.1

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec  7 2015 Tom Callaway <spot@fedoraproject.org> - 0.8.3-1
- update to 0.8.3

* Fri Jul 03 2015 pingou <pingou@pingoured.fr> 0.6.1-1
- Update to version 0.6.1

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 Tom Callaway <spot@fedoraproject.org> - 0.6.0-1
- initial package
